/api/v1/datasets/{id} (PATCH)
const url = 'https://api.endless.zaia.app/api/v1/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"contentUpdatedAt":"2026-04-15T12:00:00Z","description":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.endless.zaia.app/api/v1/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "contentUpdatedAt": "2026-04-15T12:00:00Z", "description": "example", "name": "example" }'Updates a dataset.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
When the dataset content was last updated.
The internal description of the dataset.
The display name of the dataset.
Examplegenerated
{ "contentUpdatedAt": "2026-04-15T12:00:00Z", "description": "example", "name": "example"}Responses
Seção intitulada “Responses”The dataset was updated.
object
A UUID v4 string that identifies an entity.
When the dataset content was last updated.
The internal description of the dataset.
When this dataset was last used in an execution.
The display name of the dataset.
The workspace ID that owns the dataset.
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updatedAt": "2026-04-15T12:00:00Z", "contentUpdatedAt": "2026-04-15T12:00:00Z", "description": "example", "lastExecutedAt": "2026-04-15T12:00:00Z", "name": "example", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Dataset not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}